Resolido Docs
Skills

Edit skill texts (find & replace)

POST
/skills/text-edits

Find-and-replace in custom skills' description, instructions or input-field descriptions, several skills at once. All edits apply or nothing changes. Owner/admin.

Authorization

bearer skills:write
headerAuthorizationBearer <token>

API key (rsl_live_…) from Settings → Developers.

Scope: skills:write

Request Body

application/json
  1. body
edits*array<>
Items1 <= items <= 50
dryRun?boolean
Defaultfalse

Response Body

Success

application/json
  1. response
applied*boolean
problems*array<>
previews*array<>
curl -X POST "https://example.com/skills/text-edits" \  -H "Content-Type: application/json" \  -d '{    "edits": [      {        "skillId": "string",        "target": "description",        "find": "string",        "replace": "string"      }    ]  }'
{  "applied": true,  "problems": [    {      "target": "string",      "edit": 0,      "reason": "not_found",      "count": 0    }  ],  "previews": [    {      "edit": 0,      "before": "string",      "after": "string",      "skillId": "string",      "target": "string"    }  ]}